Caffeine 2.4.1 doesn't start, ubuntu oneiric

Bug #889705 reported by zvi on 2011-11-13
26
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Caffeine
Undecided
Unassigned

Bug Description

When I attempt to run caffeine from the command line, I get the errors.

ERROR:root:Could not find any typelib for AppIndicator3
ERROR:root:Could not find any typelib for Notify
Please install pynotify
ERROR:root:Could not find any typelib for Notify
Traceback (most recent call last):
  File "/usr/bin/caffeine", line 40, in <module>
    import caffeine
  File "/usr/bin/../share/pyshared/caffeine/__init__.py", line 154, in <module>
    from caffeine.main import main
  File "/usr/bin/../share/pyshared/caffeine/main.py", line 47, in <module>
    import core
  File "/usr/bin/../share/pyshared/caffeine/core.py", line 21, in <module>
    from gi.repository import Gtk, GObject, Gio, Notify
ImportError: cannot import name Notify

I noticed that I was not loading caffeine before I upgraded to the latest version, but I'm not sure exactly when.

After reading the error log, I attempted to sudo apt-get install pynotify, but there was no such package available. I do have python-notify installed, version 0.1.1-2ubuntu2

If you need more error logs, please let me know where to get them or how to run them.

zvi (zvilikestv) on 2011-11-13
summary: - Caffeine does not start
+ Caffeine 2.4.1 doesn't start, ubuntu oneiric
ddephazz (vapula31) wrote :

Quick fix by installing:

gir1.2-appindicator3-0.1
gir1.2-notify-0.7

This packages should be marked as dependencies.

Hope it helps.

Murz (murznn) wrote :

ddephazz (vapula31), thanks, installing this packages solve the problem for me with packages, but I got another errors:
------------------------
$ caffeine

(caffeine:15836): GLib-GIO-CRITICAL **: Settings schema 'net.launchpad.caffeine' is not installed

(caffeine:15836): GLib-GIO-CRITICAL **: g_settings_get_key_info: assertion `settings->priv->schema != NULL' failed
/usr/bin/../lib/python2.7/dist-packages/gi/types.py:43: Warning: g_variant_get_type: assertion `value != NULL' failed
  return info.invoke(*args, **kwargs)
/usr/bin/../lib/python2.7/dist-packages/gi/types.py:43: Warning: g_variant_type_is_subtype_of: assertion `g_variant_type_check (type)' failed
  return info.invoke(*args, **kwargs)
/usr/bin/../lib/python2.7/dist-packages/gi/types.py:43: Warning: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
  return info.invoke(*args, **kwargs)
/usr/bin/../lib/python2.7/dist-packages/gi/types.py:43: Warning: g_variant_unref: assertion `value != NULL' failed
  return info.invoke(*args, **kwargs)

(caffeine:15836): GLib-GIO-CRITICAL **: Settings schema 'net.launchpad.caffeine' is not installed

(caffeine:15836): GLib-GIO-CRITICAL **: g_settings_get_key_info: assertion `settings->priv->schema != NULL' failed

(caffeine:15836): GLib-GIO-CRITICAL **: g_settings_get_key_info: assertion `settings->priv->schema != NULL' failed

Segmentation fault
------------------------

Maybe any additional packages must be installed?

Murz (murznn) wrote :

Last problem fixed via upgrading caffeine from ppa:caffeine-developers/ppa - version from ubuntu oneric shows this error.

Volkan Gezer (volkangezer) wrote :

The same problem was with 12.10 64-bit and solved by instructions by: ddephazz (vapula31) wrote on 2011-12-25.

Reuben Thomas (rrt) wrote :

Fixed by adding dependencies to the 2.5 package.

Changed in caffeine:
status: New → Fix Committed
Reuben Thomas (rrt) on 2013-12-10
Changed in caffeine:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers